import { createAsyncThunk } from "@reduxjs/toolkit";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";
import axios from "axios";

export const stewardGetVBroadcastInfo = createAsyncThunk(
  "STEWARD_GET_BROARDCAST_INFO",
  async (d, { dispatch }) => {
    const { data, status } = await axios.get("steward-sales-info-dashboard/", {
      params: {
        role: getRoleFromUrl(),
      },
    });
    return { data, status };
  }
);
